package com.steerinfo.ftp.securitytype.mapper;

import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.ftp.securitytype.model.SecurityType;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

@Mapper
public interface SecurityTypeMapper extends IBaseMapper<SecurityType, String> {
    List<SecurityType> getTree();

    List<SecurityType> getTreeByInfo(String securityInfo);

    List<SecurityType> getParent();

    List<SecurityType> getIdAndName(Map<String, Object> parameters);

    Integer getMaxSeqNo();

    String getURL(String parentId);

    Integer getParentNum(String Id);
}